From josemi@freebsd.jazztel.es  Wed Dec 15 15:19:24 2004
Return-Path: <josemi@freebsd.jazztel.es>
Received: from mx1.FreeBSD.org (mx1.freebsd.org [216.136.204.125])
	by hub.freebsd.org (Postfix) with ESMTP id 86ADD16A4CF
	for <FreeBSD-gnats-submit@freebsd.org>; Wed, 15 Dec 2004 15:19:19 +0000 (GMT)
Received: from smtp1.jazztel.es (smtp1.jazztel.es [62.14.3.161])
	by mx1.FreeBSD.org (Postfix) with ESMTP id B013143D5C
	for <FreeBSD-gnats-submit@freebsd.org>; Wed, 15 Dec 2004 15:19:18 +0000 (GMT)
	(envelope-from josemi@freebsd.jazztel.es)
Received: from antivirus
	by smtp1.jazztel.es
	with antivirus id 1CeawB-0000pY-00
	for FreeBSD-gnats-submit@freebsd.org
	Wed, 15 Dec 2004 16:19:35 +0100
Received: from [212.106.236.248] (helo=rguez.homeunix.net)
	by smtp1.jazztel.es
	with esmtp id 1Ceave-0008Qt-00
	for FreeBSD-gnats-submit@freebsd.org
	Wed, 15 Dec 2004 16:19:02 +0100
Received: from orion.redesjm.local (localhost.redesjm.local [127.0.0.1])
	by rguez.homeunix.net (8.13.1/8.13.1) with ESMTP id iBFFIdZP090972
	for <FreeBSD-gnats-submit@freebsd.org>; Wed, 15 Dec 2004 16:18:40 +0100 (CET)
	(envelope-from freebsd@orion.redesjm.local)
Received: (from freebsd@localhost)
	by orion.redesjm.local (8.13.1/8.13.1/Submit) id iBFFIdrF090971;
	Wed, 15 Dec 2004 16:18:39 +0100 (CET)
	(envelope-from freebsd)
Message-Id: <200412151518.iBFFIdrF090971@orion.redesjm.local>
Date: Wed, 15 Dec 2004 16:18:39 +0100 (CET)
From: Jose M Rodriguez <josemi@freebsd.jazzel.es>
Reply-To: Jose M Rodriguez <josemi@freebsd.jazzel.es>
To: FreeBSD-gnats-submit@freebsd.org
Cc:
Subject: add modules support to /etc/rc.d/mixer
X-Send-Pr-Version: 3.113
X-GNATS-Notify:

>Number:         75118
>Category:       conf
>Synopsis:       add modules support to /etc/rc.d/mixer
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-bugs
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Wed Dec 15 15:20:20 GMT 2004
>Closed-Date:    Tue Jan 25 20:20:06 GMT 2005
>Last-Modified:  Tue Jan 25 20:20:06 GMT 2005
>Originator:     Jose M Rodriguez
>Release:        FreeBSD 5.3-STABLE i386
>Organization:
Redes JM
>Environment:
System: FreeBSD orion.redesjm.local 5.3-STABLE FreeBSD 5.3-STABLE #0: Wed Dec 15 00:35:47 CET 2004 root@orion.redesjm.local:/usr/obj/usr/src/sys/ORION i386


>Description:
	Add modules support to /etc/rc.d/mixer

	use ${mixer_modules} (defined via /etc/rc.conf) a a blank separated
	list of loaded modules prior to mixer config reload

	Also make sound configuration by sysinstall possible via snd_* modules
	(but not implemented jet).

>How-To-Repeat:
>Fix:

--- patch-mixer_modules begins here ---
--- /usr/src/etc/rc.d/mixer	Sun Oct 10 11:50:53 2004
+++ etc/rc.d/mixer	Thu Dec  9 23:25:41 2004
@@ -40,6 +40,22 @@
 extra_commands="reload"
 
 #
+# Install needed modules
+#
+install_mixer_modules()
+{
+    local mixer_module
+
+    if [ -n "${mixer_modules}" ]; then
+	for mixer_module in "${mixer_modules}"; do
+	    if ! /sbin/kldstat -n ${mixer_module} > /dev/null 2>&1 ; then
+		/sbin/kldload ${mixer_module}
+	    fi
+	done
+    fi
+}
+
+#
 # List current mixer devices to stdout.
 #
 list_mixers()
@@ -81,6 +97,7 @@
 {
 	local mixer
 
+	install_mixer_modules
 	for mixer in `list_mixers`; do
 		mixer_restore ${mixer}
 	done
--- patch-mixer_modules ends here ---



>Release-Note:
>Audit-Trail:

From: Jose M Rodriguez <josemi@freebsd.jazztel.es>
To: freebsd-gnats-submit@freebsd.org, josemi@freebsd.jazzel.es
Cc:  
Subject: Re: conf/75118: add modules support to /etc/rc.d/mixer
Date: Tue, 25 Jan 2005 21:02:05 +0100

 Please, close this.
 dup of ports/75135. I'll follow that one.
State-Changed-From-To: open->closed 
State-Changed-By: linimon 
State-Changed-When: Tue Jan 25 20:18:53 GMT 2005 
State-Changed-Why:  
Superceeded by conf/75135. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=75118 
>Unformatted:
